      subroutine mcfset(iunitr,finame)
c
c     This subroutine sets up file name according to iunitr.
c     This subroutine is replaced with another one
c     when mc-tinker is combined with sander.
c
      implicit real*8 (a-h,o-z)
      character*256 finame
c
      if(iunitr .eq. 81) then
         finame = 'esp.fu81'
      else if (iunitr .eq. 82) then
         finame = 'esp.fu82'
      else if (iunitr .eq. 83) then
         finame = 'esp.fu83'
      else if (iunitr .eq. 84) then
         finame = 'esp.fu84'
      else if (iunitr. eq. 72) then
         finame = 'esp.fu72'
      else if (iunitr. eq. 73) then
         finame = 'esp.fu73'
      else if (iunitr. eq. 74) then
         finame = 'esp.fu74'
      else if (iunitr. eq. 75) then
         finame = 'esp.fu75'
      else if (iunitr. eq. 76) then
         finame = 'esp.fu76'
      else if (iunitr. eq. 62) then
         finame = 'esp.fu62'
      else if (iunitr. eq. 63) then
         finame = 'esp.fu63'
      else if (iunitr. eq. 64) then
         finame = 'esp.fu64'
      else if (iunitr. eq. 65) then
         finame = 'esp.fu65'
      else if (iunitr. eq. 66) then
         finame = 'esp.fu66'
      end if
c
      return
      end
